petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSSundialsSetType

Sets the method that Sundials will use for integration.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSundialsSetType(TS ts,TSSundialsLmmType type)

Logically Collective on TS

### Input parameters

| ts | - the time-step context
| type | - one of SUNDIALS_ADAMS or SUNDIALS_BDF

### Keywords

Adams, backward differentiation formula

### See Also

TSSundialsGetIterations(), TSSundialsSetMaxl(),
TSSundialsSetLinearTolerance(), TSSundialsSetGramSchmidtType(), TSSundialsSetTolerance(), TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetLinearTolerance(), TSSundialsSetTolerance(), TSSundialsGetPC(), TSSetExactFinalTime()

### Level

intermediate

### Location

src/ts/impls/implicit/sundials/sundials.c

### Implementations

TSSundialsSetType_Sundials in src/ts/impls/implicit/sundials/sundials.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages